cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 10929] New: - ESQL conflict with XSCRIPT logicsheet
Date Wed, 17 Jul 2002 23:24:58 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=10929>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=10929

ESQL conflict with XSCRIPT logicsheet

           Summary: ESQL conflict with XSCRIPT logicsheet
           Product: Cocoon 2
           Version: Current CVS
          Platform: All
        OS/Version: All
            Status: NEW
          Severity: Normal
          Priority: Other
         Component: sitemap components
        AssignedTo: cocoon-dev@xml.apache.org
        ReportedBy: ignacio@xentient.com


If you use the ESQL and XSCRIPT logicsheets in the same XSP page, and you use
the <esql:pool> tag, it will trigger a "duplicate definition of method
compose(org.apache.avalon.framework.component.ComponentManager)" error.

The error is generated because both logicsheets attempt to override the
"compose" method. The problem can be fixed by removing the need to override the
"compose" method in the ESQL logicsheet.

Thank you.

Ignacio Alvarez.

---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message